## alljoyn-core-1504 15.04b

=== debian/changelog ===
alljoyn-core-1504 (15.04b-8) unstable; urgency=medium

  * move maintenance to debian-iot team
  * debian/rules: activate tests again
  * debian/rules: use builtin crypt (Closes: #828230)
                  don't use openssl until hassle has ended
  * debian/control: add dependency for lsb-base (>= 3.0-6)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 29 Nov 2016 16:01:37 +0100

alljoyn-core-1504 (15.04b-7) unstable; urgency=medium

  * take care of gcc-6 build errors (Closes: #831127)
  * deactivating gtest for now as it does not work with gcc-6
    (-> look at #833636)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 07 Aug 2016 12:31:37 +0200

alljoyn-core-1504 (15.04b-6) unstable; urgency=medium

  * put some software for testing the library to
    /usr/lib/${DEB_HOST_MULTIARCH}/alljoyn/1504/bin

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jun 2016 22:11:32 +0200
   

alljoyn-core-1504 (15.04b-5) unstable; urgency=medium

  * add patch to remove -Bsymbolic for creating shared libraries
    with soname

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Jun 2016 19:28:32 +0200

alljoyn-core-1504 (15.04b-4) unstable; urgency=medium

  * debian/rules: there still is i386 available, so map all i.86 to x86
                  (Closes: #826766) thanks to Adam Conrad for the patch
  * debian/rules: remove build_core/conf/linux/arm as it is only used 
		  for Alljoyn-arm and cross compiling
                  thanks to Adam Conrad for the patch
  * debian/rules: allow sh4 as native architecture
                  (so finally: Closes: #825218)
                  thanks to Aaron M. Ucko for his suggestions

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Jun 2016 19:28:32 +0200

alljoyn-core-1504 (15.04b-3) unstable; urgency=medium

  * add some more architectures
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 30 May 2016 18:28:32 +0200

alljoyn-core-1504 (15.04b-2) unstable; urgency=medium

  * Upload with patch to support more architectures

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 28 May 2016 22:28:32 +0200

alljoyn-core-1504 (15.04b-1) unstable; urgency=medium

  * Initial release (Closes: #825039)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 23 May 2016 19:28:32 +0200
