=== debian/watch ===
version=3
opts="dversionmangle=s/alljoyn/alljoyn-core/" \
https://git.allseenalliance.org/cgit/core/alljoyn.git/ /cgit/core/alljoyn.git/snapshot/alljoyn-(15\.04.*)\.tar\.gz
