## alljoyn-core-1504 15.04b+dfsg.1

=== debian/changelog ===
alljoyn-core-1504 (15.04b+dfsg.1-3) unstable; urgency=medium

  * add gcc8.patch (Closes: #897701)
  * debian/control: bump standard to 4.1.5 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 20 Jul 2018 19:01:37 +0200

alljoyn-core-1504 (15.04b+dfsg.1-2) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa URLs
  * debian/control: remove dh_systemd dependency
  * debian/rules: don't use --with systemd anymore
  * debian/copyright: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Feb 2018 19:01:37 +0100

alljoyn-core-1504 (15.04b+dfsg.1-1) unstable; urgency=medium

  * add gcc7 patch (Closes: #853304)
  * remove non-DFSG files alljoyn_core/router/ConvertUTF.*
  * debian/control: change priority: from extra to optional
  * debian/control: bump standard to 4.0.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Aug 2017 19:01:37 +0100
