=== debian/control ===
Source: alljoyn-core-1504
Section: net
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: dh-exec (>=0.3)
               , debhelper (>=11)
               , libssl-dev
               , libgtest-dev
	       , junit
	       , libcsv-java
	       , libmatthew-debug-java
	       , libitext-java
               , scons
               , libcap-dev
#	       , javahelper
#               , ant
Standards-Version: 4.1.5
Homepage: https://allseenalliance.org/framework
Vcs-Browser: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-core-1504.git
Vcs-Git: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-core-1504.git

#Package: alljoyn-doc-1504
#Architecture: all
#Depends: ${misc:Depends}
#Section: doc
#Description: documentation for alljoyn
# AllJoyn is a collaborative open-source software framework that makes
# it easy for developers to write applications that can discover nearby
# devices, and communicate with each other directly regardless of
# brands, categories, transports, and OSes without the need of the cloud.
# .
# The AllJoyn framework is extremely flexible with many features to help
# make the vision of the Internet of Things come to life.
# .
# This package contains the documentation.

Package: liballjoyn1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn C++ run-time library
 AllJoyn is a collaborative open-source software framework that makes
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of
 brands, categories, transports, and OSes without the need of the cloud.
 .
 The AllJoyn framework is extremely flexible with many features to help
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ run-time library.

Package: liballjoyn-dev-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoyn1504 (= ${binary:Version}),
         liballjoyn-common-dev-1504 (= ${binary:Version})
Section: libdevel
Description: AllJoyn C++ development library
 AllJoyn is a collaborative open-source software framework that makes
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of
 brands, categories, transports, and OSes without the need of the cloud.
 .
 The AllJoyn framework is extremely flexible with many features to help
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ development files.

Package: liballjoyn-c1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn C run-time library
 AllJoyn is a collaborative open-source software framework that makes
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of
 brands, categories, transports, and OSes without the need of the cloud.
 .
 The AllJoyn framework is extremely flexible with many features to help
 make the vision of the Internet of Things come to life.
 .
 This package contains the C run-time library

Package: liballjoyn-c-dev-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoyn-c1504 (= ${binary:Version}),
         liballjoyn-common-dev-1504 (= ${binary:Version})
Section: libdevel
Description: AllJoyn C development library
 AllJoyn is a collaborative open-source software framework that makes
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of
 brands, categories, transports, and OSes without the need of the cloud.
 .
 The AllJoyn framework is extremely flexible with many features to help
 make the vision of the Internet of Things come to life.
 .
 This package contains the C development files.

Package: alljoyn-daemon-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
       , lsb-base (>= 3.0-6)
Description: AllJoyn daemon service
 AllJoyn is a collaborative open-source software framework that makes
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of
 brands, categories, transports, and OSes without the need of the cloud.
 .
 The AllJoyn framework is extremely flexible with many features to help
 make the vision of the Internet of Things come to life.
 .
 This package contains daemon services.

Package: liballjoyn-common-dev-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Section: libdevel
Description: AllJoyn common development files
 AllJoyn is a collaborative open-source software framework that makes
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of
 brands, categories, transports, and OSes without the need of the cloud.
 .
 The AllJoyn framework is extremely flexible with many features to help
 make the vision of the Internet of Things come to life.
 .
 This package contains commmon development files.
