=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU | sed -e 's/i.86/x86/')
 BUILDARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 # in case of X32, we might want to set x86 as well
-ifeq ($(BUILDARCH),x32) 
+ifeq ($(BUILDARCH),x32)
   export CPU = "x86"
 endif
 OS=linux
@@ -29,27 +29,28 @@
 
 %:
 #	dh $@ --with javahelper
-	dh $@ --with systemd
+#	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_build:
 #XXX does not build yet
 #	scons BINDINGS=java $(SCONS_ARGS) \
-#		WS=off BT=off ICE=off 
+#		WS=off BT=off ICE=off
 
 	dpkg-architecture -l
 	gcc --version
 	g++ --version
 
 	scons BINDINGS=c $(SCONS_ARGS) \
-		WS=off BT=off ICE=off 
+		WS=off BT=off ICE=off
 
 	scons BINDINGS=cpp $(SCONS_ARGS) \
-		WS=off BT=off ICE=off 
+		WS=off BT=off ICE=off
 
 # not able to build js bindings yet:
 # "Must specify either GECKO_BASE or CORDOVA_BASE build variable"
 #	scons BINDINGS=js $(SCONS_ARGS) \
-#		WS=off BT=off ICE=off 
+#		WS=off BT=off ICE=off
 
 #	scons BINDINGS=c $(SCONS_ARGS) \
 #		WS=off BT=off ICE=off DOCS=html
@@ -87,7 +88,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs alljoyn_core/docs/ReleaseNotes.txt
-	dh_installchangelogs 
+	dh_installchangelogs
 
 override_dh_install:
 	dh_install
